<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use Faker\Provider\Image;

class OrderController extends BaseController
{
    public function paginate()
    {
        $data = $this->valid([
            "userinfo" => "",
            "status" => "",
            "page_size" => "",
        ]);

        return $this->ok([
            "total" => 1,
            "page_total" => 1,
            "list" => [
                [
                    "id" => 1,
                    "no" => "23456723",
                    "goods_name" => "商品名称",
                    "goods_sn" => "商品型号",
                    "user_id" => 123,
                    "email" => "user@example.com",
                    "created_at" => "2023-05-05 15:44:14",
                ],
            ],
        ]);
    }

    public function del()
    {
        $data = $this->valid([
            "id" => "required",
        ]);

        return $this->ok();
    }

}
