<?php

namespace App\Modules\Mini\Services;

use App\Base\BaseService;
use App\Models\User\UserFav;

class FavService extends BaseService
{
    public function fav($uid, $params)
    {
        $gid = $params['id'];

        $fav = UserFav::where("user_id", $uid)->where("goods_id", $gid)->first();
        if ($fav) {
            $fav->delete();
            return $fav;
        }

        $fav = new UserFav();
        $fav->user_id = $uid;
        $fav->goods_id = $gid;
        $fav->save();

        return $fav;
    }
}
