<?php

namespace App\Models\Goods;

use App\Base\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\Goods\SpecAttr
 *
 * @property int                             $id
 * @property int                             $spec_id
 * @property string                          $name
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null                     $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr query()
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereSpecId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SpecAttr whereUpdatedAt($value)
 * @mixin \Eloquent
 * @method static \Illuminate\Database\Query\Builder|SpecAttr onlyTrashed()
 * @method static \Illuminate\Database\Query\Builder|SpecAttr withTrashed()
 * @method static \Illuminate\Database\Query\Builder|SpecAttr withoutTrashed()
 */
class SpecAttr extends BaseModel
{
    use SoftDeletes;

    protected $table = "spec_attr";
}
