<?php

namespace App\Modules\Mini\Services;

use App\Base\BaseService;
use App\Exceptions\ClientException;
use App\Models\User\User;
use EasyWeChat\Kernel\HttpClient\Response;
use EasyWeChat\MiniApp\Application;

class AuthService extends BaseService
{
    public function authByOpenid($openId): string
    {
        $user = User::where('openid', $openId)->first();
        if (is_null($user)) {
            $user = new User();
            $user->openid = $openId;
            $user->save();
        }

        return $this->encryptToken($user->id);
    }

    public function encryptToken($uid)
    {
        return md5($uid . time()) . $uid;
    }

    public function decryptToken($token)
    {
        return substr($token, 32);
    }
}
