<?php

namespace App\Modules\Pc\Controllers;

use App\Base\BaseController;
use Faker\Provider\Image;

class CartController extends BaseController
{
    public function index()
    {
        return $this->ok([
            "total" => 1,
            "page_total" => 1,
            "list" => [
                [
                    "id" => 1,
                    "goods_id" => 1,
                    "thumb" => Image::imageUrl(),
                    "goods_name" => 1,
                    "sn" => "型号-xxxx",
                    "count" => 1,
                ],
            ],
        ]);
    }

    public function del()
    {
        return $this->ok();
    }

    public function ask()
    {
        return $this->ok([
            "id" => 1,
            "thumb" => Image::imageUrl(),
            "name" => "商品名称",
            "url" => "http://baidu.com/xxxx",
        ]);
    }
}
