<?php

namespace App\Modules\Pc\Controllers;

use App\Base\BaseController;
use Faker\Provider\Image;

class UserController extends BaseController
{
    public function company()
    {
        return $this->ok();
    }

    public function fav()
    {
        return $this->ok([
            "total" => 1,
            "page_total" => 1,
            "list" => [
                [
                    "id" => 1,
                    "goods_id" => 1,
                    "thumb" => Image::imageUrl(),
                    "goods_name" => 1,
                ],
            ],
        ]);
    }

    public function favDel()
    {
        return $this->ok();
    }

    public function address()
    {
        return $this->ok([
            "total" => 1,
            "page_total" => 1,
            "list" => [
                [
                    "id" => 1,
                    "is_default" => 1,
                    "name" => "收件人姓名",
                    "address" => "余杭良睦路地铁鼎创中心**位置",
                    "phone" => "15012341234",
                    "location" => "浙江省杭州市余杭区",
                ],
            ],
        ]);
    }

    public function addressDel()
    {
        return $this->ok();
    }

    public function addressStore()
    {
        return $this->ok();
    }
}
